aboutsummaryrefslogtreecommitdiff
path: root/performance-test/T08-git-remote.sh
diff options
context:
space:
mode:
authorDavid Bremner <david@tethera.net>2026-01-25 07:56:37 +0900
committerDavid Bremner <david@tethera.net>2026-02-16 07:24:18 +0900
commitcfc4af0e2bdf8f82ad14342baa6578d4dd366cd9 (patch)
treeb0bf98718b8ab5663d811bc0df6e3347b1db910f /performance-test/T08-git-remote.sh
parentfcc41c82c4596aef1598eb9ea52c4b0cb4bb3c53 (diff)
cli/git-remote: add import command
The output in default.import is based on a modified version of Felipe's git-remote-nm with Blake2 hashing replaced by SHA1 (for portability). This enable fetch/pull/clone, so test that as well.
Diffstat (limited to 'performance-test/T08-git-remote.sh')
-rwxr-xr-xperformance-test/T08-git-remote.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/performance-test/T08-git-remote.sh b/performance-test/T08-git-remote.sh
new file mode 100755
index 00000000..df03d978
--- /dev/null
+++ b/performance-test/T08-git-remote.sh
@@ -0,0 +1,12 @@
+#!/usr/bin/env bash
+
+test_description='git-remote-notmuch'
+
+. $(dirname "$0")/perf-test-lib.sh || exit 1
+
+time_start
+
+time_run 'clone --bare' "git clone --quiet --bare -b master notmuch::default default.git"
+time_run 'clone' "git clone --quiet -b master notmuch:// repo"
+
+time_done